// AutoDetectDlg.cpp : implementation file
//

#include "stdafx.h"
#include "rootfly.h"
#include "AutoDetectDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAutoDetectDlg dialog


CAutoDetectDlg::CAutoDetectDlg(Controller* controller, const Settings* set_data, CWnd* pParent /*=NULL*/)
	: CDialog(CAutoDetectDlg::IDD, pParent),
    m_controller(*controller),
    m_set_data(*set_data)
{
  
	//{{AFX_DATA_INIT(CAutoDetectDlg)
	m_degree_value = 0.0f;
	m_check_diameter = FALSE;
	m_diameter_value = 0.0f;
	m_check_length = FALSE;
	m_length_value = 0.0f;
	m_detect_on_load = FALSE;
	m_check_vertical = FALSE;
  m_check_post_process = TRUE;
	//}}AFX_DATA_INIT
  //m_controller.C_SetAutoDetectOptions(m_detect_on_load, m_check_diameter, m_diameter_value, m_check_length, m_length_value, m_check_vertical, m_degree_value);
}


void CAutoDetectDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAutoDetectDlg)
	DDX_Control(pDX, IDC_AD_DEGREE_VALUE, m_degree_control);
	DDX_Control(pDX, IDC_AD_VERTICAL, m_check_vertical_control);
	DDX_Control(pDX, IDC_AD_ONLOAD, m_detect_on_load_control);
	DDX_Control(pDX, IDC_AD_LENGTH_VALUE, m_length_control);
	DDX_Control(pDX, IDC_AD_LENGTH, m_check_length_control);
	DDX_Control(pDX, IDC_AD_DIAMETER, m_check_diameter_control);
	DDX_Control(pDX, IDC_AD_DIAMETER_VALUE, m_diameter_control);
  DDX_Control(pDX, IDC_AD_POST_PROCESS, m_check_post_process_control);
	DDX_Text(pDX, IDC_AD_DEGREE_VALUE, m_degree_value);
	DDX_Check(pDX, IDC_AD_DIAMETER, m_check_diameter);
	DDX_Text(pDX, IDC_AD_DIAMETER_VALUE, m_diameter_value);
	DDX_Check(pDX, IDC_AD_LENGTH, m_check_length);
	DDX_Text(pDX, IDC_AD_LENGTH_VALUE, m_length_value);
	DDX_Check(pDX, IDC_AD_ONLOAD, m_detect_on_load);
	DDX_Check(pDX, IDC_AD_VERTICAL, m_check_vertical);
  DDX_Check(pDX, IDC_AD_POST_PROCESS, m_check_post_process);
	//}}AFX_DATA_MAP
}
\

BEGIN_MESSAGE_MAP(CAutoDetectDlg, CDialog)
	//{{AFX_MSG_MAP(CAutoDetectDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAutoDetectDlg message handlers


void CAutoDetectDlg::OnOK() 
{
  //CAutoDetectDlg ad_dlg;
  char diameter_text[11];
  char length_text[11];
  char degree_text[11];
  m_diameter_control.GetWindowText(diameter_text,10);
  m_length_control.GetWindowText(length_text,10);
  m_degree_control.GetWindowText(degree_text,10);
  //m_check_diameter_control.GetWindowText(temp,10);
  m_controller.C_SetAutoDetectOptions(m_detect_on_load_control.GetCheck()!=0, m_check_diameter_control.GetCheck()!=0, 
    atof(diameter_text), m_check_length_control.GetCheck()!=0, atof(length_text), m_check_vertical_control.GetCheck()!=0, atof(degree_text), m_check_post_process_control.GetCheck()!=0);
	CDialog::OnOK();
}

BOOL CAutoDetectDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	char auto_detect_string[11];
  
  m_detect_on_load = false; // m_set_data.GetAutoDetectOnLoad();
  m_check_diameter = m_set_data.GetAutoDetectDiameterCheck();
  m_check_length = m_set_data.GetAutoDetectLengthCheck();
  m_check_vertical = m_set_data.GetAutoDetectVerticalCheck();
  m_diameter_value = m_set_data.GetAutoDetectDiameterValue();
  m_length_value = m_set_data.GetAutoDetectLengthValue();
  m_degree_value = m_set_data.GetAutoDetectDegreeValue();
  m_check_post_process = m_set_data.GetAutoDetectPostProcessCheck();

  m_detect_on_load_control.SetCheck(m_detect_on_load);

  m_check_post_process_control.SetCheck(m_check_post_process);

  m_check_diameter_control.SetCheck(m_check_diameter);
  _snprintf(auto_detect_string, 10, "%.2f", m_diameter_value);
  m_diameter_control.SetWindowText(auto_detect_string);

  m_check_length_control.SetCheck(m_check_length);
  _snprintf(auto_detect_string, 10, "%.2f", m_length_value);
  m_length_control.SetWindowText(auto_detect_string);

  m_check_vertical_control.SetCheck(m_check_vertical);
  _snprintf(auto_detect_string, 10, "%.2f", m_degree_value);
  m_degree_control.SetWindowText(auto_detect_string);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
