// ColorDlg.cpp : implementation file
//

#include "stdafx.h"
#include "rootfly.h"
#include "NewRootPropertiesDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CNewRootPropertiesDlg dialog


CNewRootPropertiesDlg::CNewRootPropertiesDlg(Controller* controller, const Settings* set_data, CWnd* pParent /*=NULL*/)
	: CDialog(CNewRootPropertiesDlg::IDD, pParent),
    m_controller(*controller),
    m_set_data(*set_data)
{
	//{{AFX_DATA_INIT(CNewRootPropertiesDlg)
	//}}AFX_DATA_INIT
}


void CNewRootPropertiesDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CNewRootPropertiesDlg)
	DDX_Control(pDX, IDC_COMBO_NEW_ROOT_COLOR, m_combo_new_root_color);
	DDX_Control(pDX, IDC_COMBO_NEW_ROOT_STATE, m_combo_new_root_state);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CNewRootPropertiesDlg, CDialog)
//{{AFX_MSG_MAP(CNewRootPropertiesDlg)
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CNewRootPropertiesDlg message handlers

/**
 @brief Loads the root drawing colors and sets the color box equal to the loaded colors upon dialog creation
 */
BOOL CNewRootPropertiesDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
  int sel = (int) m_set_data.GetNewRootColor();
  m_combo_new_root_color.SetCurSel( sel );

  bool ia = (int) m_set_data.GetNewRootIsAlive();
  m_combo_new_root_state.SetCurSel( ia ? 0 : 1 );

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

/**
 @brief Saves the root drawing colors if the user clicks 'OK' in the dialog
 */
void CNewRootPropertiesDlg::OnOK() 
{
  int sel;

  sel = m_combo_new_root_color.GetCurSel();
  m_controller.C_SetNewRootColor( static_cast<RootInstance::Color>( sel ) );

  sel = m_combo_new_root_state.GetCurSel();
  m_controller.C_SetNewRootIsAlive( sel==0 );
  
	CDialog::OnOK();
}
